Package org.gradle.language.nativeplatform

# Interface NativeResourceSet

All Superinterfaces:
  `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `LanguageSourceSet`, `ModelElement`, `Named`

All Known Subinterfaces:
  `WindowsResourceSet`

@Incubating public interface NativeResourceSet extends LanguageSourceSet
A source set that provides resources.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

  `generatedBy, getParentName, getSource`

  ### Methods inherited from interface org.gradle.model.ModelElement

  `getDisplayName, getName`